\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - CGAL and Boost Property Maps

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Types | Public Member Functions | Related Functions
CGAL::First_of_pair_property_map< Pair > Struct Template Reference
CGAL and Boost Property Maps Reference

`#include <CGAL/property_map.h>`

## Definition

Property map that accesses the first item of a `std::pair`.

Template Parameters

  Pair | Instance of `std::pair`.

Is Model Of:
  `LvaluePropertyMap`

See Also
  `CGAL::Second_of_pair_property_map<Pair>`

Examples:
  Point_set_processing_3/read_write_xyz_point_set_example.cpp.

## Public Types
typedef Pair | key_type
| typedef to `Pair`
typedef Pair::first_type | value_type
| typedef to `Pair::first_type`
typedef value_type & | reference
| typedef to `value_type&`
typedef boost::lvalue_property_map_tag | category
| boost::lvalue_property_map_tag
typedef First_of_pair_property_map < Pair > | Self

## Public Member Functions
reference | operator[] (key_type &pair) const
| Access a property map element. More...

## Related Functions
(Note that these are not member functions.)
template<class Pair >
First_of_pair_property_map< Pair > | make_first_of_pair_property_map (Pair)
| Free function to create a `First_of_pair_property_map` property map.

## Put/get free functions
const value_type & | get (const Self &, const key_type &k)
reference | get (const Self &, key_type &k)
void | put (const Self &, key_type &k, const value_type &v)

## Member Function Documentation

template<typename Pair >

reference CGAL::First_of_pair_property_map< Pair >::operator[] | ( | key_type & | pair) |  | const

Access a property map element.

Parameters

  pair | a key whose first item is accessed